---
updatedAt: 2025-06-11T20:14:18.000Z
agentTools:
  projectIndex: https://developers.triathlon.org/llms.txt
---

# Program Listings

The **Program Listings** method returns an array of basic program objects for an **event id**.

The `results` boolean indicates whether results are available for this program. If so you should consult the [Program Results](https://developers.triathlon.org/docs/program-results) method to return them.

The `team` boolean indicates whether this program is a team program and as such will return team entries and team results where relevant.

The `prog_notes` are provided where available and give additional information and context as to the exact specifications of the program. Some of this information is extracted and also provided as headers in the **Retrieve Program Information** and **Program Results** methods.

The following example retrieves the full program listings from event\_id of 90162.

```curl
curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events/90162/programs
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "triathlon-api-v1",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.triathlon.org/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "apikey",
        "x-default": "2649776ef9ece4c391003b521cbfce7a"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/events/{event_id}/programs": {
      "get": {
        "summary": "Program Listings",
        "description": "",
        "operationId": "program-listings",
        "parameters": [
          {
            "name": "event_id",
            "in": "path",
            "description": "The unique id of the event",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "prog_name",
            "in": "query",
            "description": "A prog name to perform a fuzzy filter on",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "prog_filter",
            "in": "query",
            "description": "A pipe delimited list of programs to restrict programs to",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "exclude",
            "in": "query",
            "description": "A pipe delimited list of programs to exclude from the results",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "prog_id",
            "in": "query",
            "description": "A pipe delimited list of prog_ids to be returned",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "is_race",
            "in": "query",
            "description": "If not provided, will provide both racing programs and non-racing programs",
            "schema": {
              "type": "boolean",
              "default": false
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"code\": 200,\n    \"status\": \"success\",\n    \"data\": [\n        {\n            \"prog_id\": 281143,\n            \"event_id\": 97641,\n            \"prog_name\": \"Elite Coaches\",\n            \"prog_date\": \"2016-06-12\",\n            \"prog_time\": \"00:00:00\",\n            \"prog_notes\": null,\n            \"results\": false,\n            \"team\": false\n        },\n        {\n            \"prog_id\": 281144,\n            \"event_id\": 97641,\n            \"prog_name\": \"Elite Men\",\n            \"prog_date\": \"2016-06-12\",\n            \"prog_time\": \"00:00:00\",\n            \"prog_notes\": \"Technical Delegate: Stefane Mauris/SUI. Race Referee Sarah Taylor/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km (4 laps)\\nWater temperature 18.2ºC, Air temperature 18.2º C. Wetsuit swim.\",\n            \"results\": true,\n            \"team\": false\n        },\n        {\n            \"prog_id\": 281145,\n            \"event_id\": 97641,\n            \"prog_name\": \"Elite Women\",\n            \"prog_date\": \"2016-06-12\",\n            \"prog_time\": \"00:00:00\",\n            \"prog_notes\": \"Technical Delegate: Stefane Mauris/SUI. Race Referee Howard Vine/GBR. Competition Jury: Stegfane Mauris/SUI, Terry Sheldrake/NZL, Helen Wyeth/GBR.\\nDistances: Swin 1500 m (2 laps), Bike 41.765 km (13.8 km + 7 laps of 3.95 km) Run 10 km ($ laps)\\nWater temperature 18.5ºC, Air temperature 18.9º C. Wetsuit swim.\",\n            \"results\": true,\n            \"team\": false\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "code": {
                      "type": "integer",
                      "example": 200,
                      "default": 0
                    },
                    "status": {
                      "type": "string",
                      "example": "success"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "prog_id": {
                            "type": "integer",
                            "example": 281143,
                            "default": 0
                          },
                          "event_id": {
                            "type": "integer",
                            "example": 97641,
                            "default": 0
                          },
                          "prog_name": {
                            "type": "string",
                            "example": "Elite Coaches"
                          },
                          "prog_date": {
                            "type": "string",
                            "example": "2016-06-12"
                          },
                          "prog_time": {
                            "type": "string",
                            "example": "00:00:00"
                          },
                          "prog_notes": {},
                          "results": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "team": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```